dx8 (dx7) support

New releases and general discussions.

Post » Sun Jan 03, 2010 1:01 am

to the developers:

hi,

is it possible to include dx8 support (the version which came with the first windows xp cd or first dx8), a compatibility mode or a workaround to play the created games on dx8 ?

----------------------------------------------
possible reasons:
- construct is already limited in game distribution by only supporting directx (no linux, mac, handhelds, consoles, portable devices)

- most pc users dont bother upgrading to new directx versions as long as it is working.
i know many people dont upgrade without having bought a full priced high end game, and even then are wondering if they have to install it in another step and not automatically with the game install.

- the most popular pc games are working with older (older than what construct requires) directx versions, same goes for several emulators and famous pc 2d games.

- i have tested construct on older computers and the performance is good enough to make
games that would work on mostly everyones hardware. but nearly none of these users have last years dx9 installed or the august version 2008.

- beeing used to user opionions i know that most people want to download a game and then play right away without installing other things or getting warning screens. many people dont read through things and from what i know the possibility that they are not upto date with directx is high.
i guess one third of the playerbase is deleting their downloaded game if its not working withing very few minutes.

- after testing some older dx8 compatible graphiccards with construct with stable 60fps i think many game designers and 2d players would love to see directx8 support.
----------------------------------------------
ive read through the forum so i know about plans for 2.0 and some others ideas.
my idea is more to search somewhat easy ways to get a wider user and playerbase in this version.
maybe supporting older dx is one possible way. (although i dont know how hard it is to include, if its easy enough dx6 and dx7 would be nice too)
good work so far
thanks, gl+hf
B
4
S
1
G
4
Posts: 36
Reputation: 1,649

Post » Sun Jan 03, 2010 2:28 am

I don't think it's going to happen this side of 2.0. A lot of the code already depends on the August 2008 DirectX 9 so it would be a lot of work to remove it, and I really don't like doing a lot of work to support old systems that will be out of use in a few years. Updating DirectX is fairly straightforward anyway.
Scirra Founder
B
359
S
214
G
72
Posts: 22,946
Reputation: 178,478

Post » Sun Jan 03, 2010 4:29 am

I seem to recall once hearing something mentioned about the possibility of including the required files in the executable so people who had older versions of dx9 could play without having to install anything. Is that a possibility?
Moderator
B
87
S
32
G
33
Posts: 3,005
Reputation: 27,397

Post » Sun Jan 03, 2010 8:07 am

Given the fact that Windows 7 is on the shelves, you probably shouldn't even count on backwards compatibility to 9. The past two decades should be a hint, and a half of whats to follow.
Image Image
B
161
S
48
G
89
Posts: 7,347
Reputation: 66,249

Post » Sun Jan 03, 2010 8:28 am

A few of us agreed in chat that backward compatability would be useful, since not everyone is at the cutting edge of gaming and will thus have the best hardware and support. And the majority of those who'll be playing the more retro 2D games, will be less likely to be running top of the line systems, or even DirectX 9.

But we all I think kinda agreed it wasn't really a viable option, even though it would be useful and allow more to play it.


Getting around the issue with the August 2008 thing would go some way to help avoid problems though.
B
3
S
2
G
3
Posts: 628
Reputation: 2,531

Post » Sun Jan 03, 2010 9:25 pm

Well, PC's are moving forward continually, and its not an issue at all to upgrade.In fact it's rather easy. When running a construct game without the proper directX files, it will prompt you to install it and pressing OK will take you right to the page, making it even easier to upgrade.
If someones too lazy to upgrade, sorry to say, but that's their fault.
Adding support for another, and older, DirectX version would, as ash said, be some time consuming work, work that would be better spent on improving and streamlining the features we have and developing new features.
B
4
S
1
G
5
Posts: 98
Reputation: 1,648

Post » Mon Jan 04, 2010 5:05 am

thanks for the fast replies:

when reading i have the hope that while dx8 is out of the debate theres
a possibility for support of earlier dx9 versions ?
or another partly solution like the one Arima is talking about ?

-------------------
-------------------
one thought i got is explaining abit of my own view:

having played on new and old hardware i often appreciated game studios that
implemented backwards compatibility to some degree and support for several
platforms.
i guess most of us have bought more than one console because system exclusive titles.
or installed another operating system for roughly the same reasons.
we would agree that theres a level where to decide if (backwards-) compatibility is needed, and
where its simply an addon to please a low percentage of people compared to the amount of work.
while i respect other opinions i personaly wouldnt develop dx10 only titles nor games
that only run on multicore cpus or vista/win7.
-------------------
to summarize: i benefited from game studios with longterm support and backwards compatibility.
so its not really a question for me to go this way, more of what tools are available to achieve it :/
or what compromise is needed.

"When running a construct game without the proper directX files, it will prompt you to install it and pressing OK will take you right to the page, making it even easier to upgrade"
yes i saw that, great feature.
B
4
S
1
G
4
Posts: 36
Reputation: 1,649


Return to Construct Classic Discussion

Who is online

Users browsing this forum: No registered users and 4 guests